[Visual Prolog Grammar]
lexer=visualprolog

keywords.0=name:Major keywords::namespace open grammar terminals nonterminals startsymbols precedence rules

keywords.1=name:Minor keywords::left right nonassoc

keywords.2=name:Directive keywords::

keywords.3=name:Doc keywords::short detail end exception withdomain

CommentBlock=%
CommentStreamStart=/*
CommentStreamEnd=*/

style.0=White space,fore:clGray
style.1=Keyword major,fore:clOlive
style.2=Keyword minor,fore:clBlue
style.3=Keyword directive,fore:clPurple
style.4=Comment block,fore:clGreen
style.5=Comment line,fore:clGreen
style.6=Comment key,fore:#8050A0
style.7=Comment key error,fore:clGreen
style.8=Identifier,fore:clWindowText
style.9=Variable,fore:clMaroon
style.10=Anonymous,fore:clWindowText
style.11=Number,fore:clTeal
style.12=Operator,fore:clRed
style.13=NA
style.14=NA
style.15=NA
style.16=String,fore:clPurple
style.17=String escape,fore:clPurple
style.18=String escape error,fore:clPurple
style.19=String EOL open,fore:clPurple
style.20=String verbatim,fore:clPurple
style.21=String verbatim special,fore:clPurple
style.22=String verbatim EOL,0xFFB060